From Fedora Project Wiki

Revision as of 16:31, 24 May 2008 by Admin (talk | contribs) (1 revision(s))

KDE 3 Development Platform / Libraries

Fedora now features KDE 4.0, and no longer offers KDE 3 as a full desktop environment. Fedora does provide the following KDE 3.5 library packages to run and build the many existing KDE 3 applications:

  • qt3, qt3-devel (and other qt3-* packages): Qt 3.3.8b
  • kdelibs3, kdelibs3-devel: KDE 3 libraries
  • kdebase3, kdebase3-pim-ioslaves, kdebase3-devel: KDE 3 core files required by some applications

In addition, Fedora offers a kdegames3 package which includes games not ported to KDE 4 yet, and a KDE 3 version of libkdegames required by some third-party KDE 3 games.

Moreover, the KDE 4 kdebase-runtime package, which provides khelpcenter, also sets up khelpcenter as a service for KDE 3 applications, so help in KDE 3 applications works. The KDE 3 version of khelpcenter is no longer provided, and the KDE 4 version is used instead.

These packages are designed to:

  • comply with the Filesystem Hierarchy Standard (FHS), and
  • be completely safe to install in parallel with KDE 4, including the -devel packages.

In order to achieve this goal, Fedora KDE SIG members have made two changes to the KDE 4 kdelibs-devel packages:

  • The library symlinks are installed to /usr/lib/kde4/devel or /usr/lib64/kde4/devel depending on system architecture.
  • The kconfig_compiler and makekdewidgets tools have been renamed kconfig_compiler4 and makekdewidgets4, respectively.

These changes should be completely transparent to the vast majority of KDE 4 applications that use cmake to build, since FindKDE4Internal.cmake has been patched to match these changes. The KDE SIG made these changes to the KDE 4 kdelibs-devel rather than to kdelibs3-devel because KDE 4 stores these locations in a central place, whereas KDE 3 applications usually contain hardcoded copies of the library search paths and executable names.

Note that kdebase3 does not include the following:

  • A complete KDE 3 desktop (workspace) which could be used instead of KDE 4; in particular, KDE 3 versions of KWin, KDesktop, Kicker, KSplash and KControl are not included.
  • The KDE 3 versions of kdebase applications such as Konqueror and KWrite, which are redundant with the KDE 4 versions and would conflict with them.
  • The libkdecorations library required for KWin 3 window decorations, as those window decorations cannot be used in the KDE 4 version of KWin.
  • The libkickermain library required by some Kicker applets, as there is no Kicker in Fedora 9 and thus Kicker applets cannot be used.

Please note that, as with any backwards-compatibility library, developing new software against the legacy API is discouraged.